# disable building of debug packages for static binaries
%global debug_package %{nil}

Summary: Disk usage analyzer with an ncurses interface
Name: ncdu
Version: 2.7
Release: 1%{?dist}
License: MIT
Group: Applications/File
URL: https://dev.yorhel.nl/ncdu
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://dev.yorhel.nl/download/%{name}-%{version}.tar.gz
Source1: %{name}.conf
Source10: https://dev.yorhel.nl/download/%{name}-%{version}-linux-x86.tar.gz
Source11: https://dev.yorhel.nl/download/%{name}-%{version}-linux-x86_64.tar.gz
Source12: https://dev.yorhel.nl/download/%{name}-%{version}-linux-arm.tar.gz
Source13: https://dev.yorhel.nl/download/%{name}-%{version}-linux-aarch64.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Ncdu is a disk usage analyzer with an ncurses interface. It is
designed to find space hogs on a remote server where you don't
have an entire graphical setup available, but it is a useful
tool even on regular desktop systems. Ncdu aims to be fast,
simple and easy to use, and should be able to run in any minimal
POSIX-like environment with ncurses installed.

%prep
%ifarch %{ix86}
%setup -q -a 10
%endif
%ifarch x86_64
%setup -q -a 11
%endif
%ifarch %{arm}
%setup -q -a 12
%endif
%ifarch aarch64
%setup -q -a 13
%endif

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install-doc PREFIX=%{buildroot}%{_prefix} INSTALL="install -p"
%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_sysconfdir}
%{__install} -m 0755 -p %{name} %{buildroot}%{_bindir}/
%{__install} -m 0644 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSES/MIT.txt README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Mon Jan 13 2025 Simon Matter <simon.matter@invoca.ch> 2.7-1
- upgrade to 2.7

* Sat Oct 05 2024 Simon Matter <simon.matter@invoca.ch> 2.6-1
- upgrade to 2.6

* Mon Jul 29 2024 Simon Matter <simon.matter@invoca.ch> 2.5-2
- cosmetic changes

* Sat Jul 27 2024 Simon Matter <simon.matter@invoca.ch> 2.5-1
- upgrade to 2.5

* Mon Apr 22 2024 Simon Matter <simon.matter@invoca.ch> 1.20-1
- upgrade to 1.20

* Tue Sep 12 2023 Simon Matter <simon.matter@invoca.ch> 1.19-1
- upgrade to 1.19

* Mon Feb 13 2023 Simon Matter <simon.matter@invoca.ch> 1.18.1-1
- upgrade to 1.18.1

* Thu Dec 08 2022 Simon Matter <simon.matter@invoca.ch> 1.18-1
- upgrade to 1.18

* Fri Apr 29 2022 Simon Matter <simon.matter@invoca.ch> 1.17-1
- upgrade to 1.17

* Sat Jul 03 2021 Simon Matter <simon.matter@invoca.ch> 1.16-1
- upgrade to 1.16

* Mon Jun 29 2020 Simon Matter <simon.matter@invoca.ch> 1.15.1-1
- initial package
